Bug 1865170 - opensubdiv: FTBFS in Fedora rawhide/f33
Summary: opensubdiv: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensubdiv
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-08-03 20:37 UTC by Fedora Release Engineering
Modified: 2020-11-05 02:37 UTC (History)
1 user (show)

Fixed In Version: opensubdiv-3.4.3-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-06 00:15:33 UTC
Type: ---


Attachments (Terms of Use)
build.log (9.23 KB, text/plain)
2020-08-03 20:37 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 20:37 UTC, Fedora Release Engineering
no flags Details
state.log (981 bytes, text/plain)
2020-08-03 20:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 20:37:42 UTC
opensubdiv failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=48348827


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix opensubdiv at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
opensubdiv will be orphaned. Before branching of Fedora 34,
opensubdiv will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 20:37:44 UTC
Created attachment 1708702 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 20:37:45 UTC
Created attachment 1708703 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 20:37:46 UTC
Created attachment 1708704 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 15:02:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fedora Release Engineering 2020-09-30 18:59:59 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 33.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-09-28).

A week before the mass branching of Fedora 34 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 32 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 6 Fedora Update System 2020-10-02 04:23:33 UTC
FEDORA-2020-46973824f1 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-46973824f1

Comment 7 Fedora Update System 2020-10-02 22:16:11 UTC
FEDORA-2020-46973824f1 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-46973824f1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-46973824f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-06 00:15:33 UTC
FEDORA-2020-46973824f1 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.